# icmp_echo_hdr Struct Reference

`#include <icmp.h>`

## Public Member Functions
| PACK_STRUCT_FIELD (uInt16 _type_code)
| PACK_STRUCT_FIELD (uInt16 chksum)
| PACK_STRUCT_FIELD (uInt16 id)
| PACK_STRUCT_FIELD (uInt16 seqno)
## Data Fields
u8_t | type
u8_t | icode
u16_t | chksum
u16_t | id
u16_t | seqno

## Member Function Documentation

icmp_echo_hdr::PACK_STRUCT_FIELD | ( | uInt16 | seqno | ) |

icmp_echo_hdr::PACK_STRUCT_FIELD | ( | uInt16 | id | ) |

icmp_echo_hdr::PACK_STRUCT_FIELD | ( | uInt16 | chksum | ) |

icmp_echo_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _type_code | ) |

## Field Documentation

u16_t icmp_echo_hdr::chksum

u8_t icmp_echo_hdr::icode

u16_t icmp_echo_hdr::id

u16_t icmp_echo_hdr::seqno

u8_t icmp_echo_hdr::type

The documentation for this struct was generated from the following files:

- ipv4/icmp.h
- ipv6/icmp.h